
Redmine - Defect #8291

Issued refed/closed by repository commit message don't show as associated revisions if issue is in

a different project to the repository

2011-05-04 17:51 - Declan Lynch

Status: Closed Start date: 2011-05-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

We have a situation where we have a master project that has a repository associated with it and we then have a couple of

sub-projects that don't have any repository associated with them.

Issues are raised at the sub-project level but the code is checked into the repository at the main project level.

When the committer uses the 'Refs #xx' or 'Fixes #xx' in the commit text the issue is marked as closed ( if using Fixes #xx ) as

expected and the revision history shows the list of associated issues, However the issue itself does not show the 'Associated

Revisions' block on the right side.

If the issue is at the same level as the project then the 'Associated Revisions' block shows up correctly. It is only when the issue is on

a different project to the repository that the association does not show up.

Related issues:

Related to Redmine - Defect #9762: Closing issues with commit should be cross... Closed

Is duplicate of Redmine - Defect #4674: Sub-project repository commits not di... Closed 2010-01-28

History

#1 - 2011-06-16 01:43 - Jeffrey Clark

Is the repository module enabled on the sub-project?  It needs to be, even if it's not used/configured directly.

#2 - 2013-03-14 03:47 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Duplicate

This is actually a duplicate of #4674, which was implemented a long time ago for Redmine 0.9.2.

Closing as such.
